apiVersion: v1
kind: Secret
metadata:
  name: {{ include "shared.fullname" . }}-ca-internal-issuer
  labels:
    {{- include "shared.labels" . | nindent 4 }}
type: kubernetes.io/tls
data:
  tls.crt: {{ (required "CA issuer certificate PEM is required" .Values.ca.issuerInternal.certificatePEM) | b64enc }}
  tls.key: {{ (required "CA issuer key PEM is required" .Values.ca.issuerInternal.keyPEM) | b64enc }}
